Capture diagnostics for an Elasticsearch or Kibana resource
- POST /deployments/{deployment_id}/{resource_kind}/{ref_id}/diagnostics/_capture
Retrieves a diagnostic bundle from an active cluster. To successfully retrieve a diagnostic bundle, the cluster must be responsive.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment
-
resource_kindstringrequired -
The kind of resource (one of elasticsearch or kibana).
-
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one).
Query Parameters
-
mode· default: full Capture mode - whether to obtain all the diagnostics data or the lightweight, essential-only subset of it. Applicable only to Elasticsearch, ignored for any other components which have just one capture mode implemented.
-
Values:
fulllight
Responses
The diagnostic bundle as a zip file
Response Type: string
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The diagnostics cannot be generated because the cluster is either stopped or initializing. (code: clusters.cluster_plan_state_error)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response